' ------------------------------------------------------------------------------------------------------------
' The support for this display has been made possible by Peter Ksters from (c) Display3000
' You can buy the displays from Display3000 or MCS Electronics
' ------------------------------------------------------------------------------------------------------------'
'

'doczamy odpowiedni bibliotek do lcd epson'a
$lib "lcd-epson.lbx"                                        'special color display support

$regfile = "m644pdef.dat"                                   'ATMega 8, change if using different processors
$crystal = 16000000                                          '8 MHz

'konfiguracja sprztowa - dowolna
Config Graphlcd = Color , Controlport = Porta , Cs = 0 , Rs = 3 , Scl = 1 , Sda = 2

'here we define the colors

Const Blue = &B00000011                                     ''predefined contants are making programming easier
Const Yellow = &B11111100
Const Red = &B11100000
Const Green = &B00011100
Const Black = &B00000000
Const White = &B11111111
Const Brightgreen = &B00111110
Const Darkgreen = &B00010100
Const Darkred = &B10100000
Const Darkblue = &B00000010
Const Brightblue = &B00011111
Const Orange = &B11111000


'czyszczenie i inicjalizacja wywietlacza
Cls

'wane fragmenty kodu - ustawiaj parametry pracy tak, aby dane byy czytelne
'oraz odpowiednio zorientowane - niestety nie ma atwej moliwoci kontroli kontrastu
'do tego trzeba dobra rwnoczenie kilka parametrw pracy sterownika (odwierzanie, skanowanie,
'napicie zasilania matrycy, itp.) - std raczej niedowiadczony uytkownik i tak sobie z tym nie poradzi

'DISCTL - skanowanie, rozmiar wywietlacza - nie zmieniamy nic - ciko dobra te parametry, eby dziaao
Glcdcmd &HCA
Glcddata &B00001100
Glcddata &B00100000
Glcddata &B00011111
Glcddata &B00000000

'DATCTL - orientacja wywietlacza
Glcdcmd &HBC
'3 najmodsze bity odpowiedzialne s za obrt i odbicie lustrzane
Glcddata &B00000011
'poniej nic nie zmieniamy
Glcddata &B00000000
Glcddata &B00000001
Glcddata &B00000000

'pniej ju obsugujemy LCD normalnie, jak opisaem w kursie - oprcz braku atwej regulacji
'kontrastu wszystko chodzi tak samo.



'create a cross
Line(0 , 0) -(130 , 130) , Blue
Line(130 , 0) -(0 , 130) , Red

Waitms 1000

'show an RLE encoded picture
Showpic 0 , 0 , Plaatje
'Showpic 40 , 40 , Plaatje

Waitms 1000

'select a font
'Setfont Color16x16
'and show some text
'Lcdat 100 , 0 , "12345678" , Blue , Yellow


Waitms 1000
'Circle(30 , 30) , 10 , Blue

Waitms 1000
'make a box
Box(10 , 30) -(60 , 100) , Black

'set some pixels
Pset 32 , 110 , Black
Pset 38 , 110 , Black
Pset 35 , 112 , Black


End



Plaatje:
$bgf "mcse.bgc"


'$include "color.font"
'$include "color16x16.font"


